FreeMat

- Main Page
- Related Pages

vtkRenderWindowCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkRenderWindowCollection represents and provides methods to manipulate a list of RenderWindows. The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkRenderWindowCollection, simply invoke its constructor as follows

      obj = vtkRenderWindowCollection

# Methods

The class vtkRenderWindowCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRenderWindowCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRenderWindowCollection = obj.NewInstance ()`
- `vtkRenderWindowCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkRenderWindow a)` - Get the next RenderWindow in the list. Return NULL when at the end of the list.
- `vtkRenderWindow = obj.GetNextItem ()`